
Figure - Bug #118820
【VC1】【0110】【实车】【EE环境】【副屏】中控和副屏播放音乐频繁切换播放和暂停 ，出现副屏音乐已暂
停了，但暂停的标识没有同步
2023-06-16 16:58 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-06-16

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控0090��副屏0110

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 第三方应用问题

Description

【环境信息】EE环境 车架尾号709

【前提条件】整车上电

【操作步骤】

1.中控播放在线音乐

2.副屏播放在线音乐

3.中控和副屏反复执行暂停和播放操作

【实际结果】

会出现副屏音乐暂停状态时，屏幕显示播放状态

【期望结果】

播放和暂停标识与实际状态同步

Related issues:

Related to Figure - Bug # 118491: 【IOVDEV-32351】【内部】【VC1】... CLOSED 2023-06-03

History

#1 - 2023-06-25 14:05 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to CD FW-廖涛

#2 - 2023-06-26 19:14 - CD FW-廖涛

- Status changed from New to ASSIGNED

#3 - 2023-07-24 16:52 - CD FW-廖涛

■ My analysis

通过本地代码添加日志，复现问题，音乐播放控制器展示的按钮是由 QQ 音乐自身发出来的，通过通知的日志可以看出，转发到控制面板的通知时序是

正确的，最后一次通知，音乐播放状态正确，但是按钮图标不正确。QQ 音乐能够稳定复现该问题（1/10），对比汽水音乐，并没有出现这个问题。因此

该问题的产生是 QQ 音乐自身的问题，系统侧无法处理，需要 QQ 音乐适配。

日志如下:

07-24 16:03:24.526  1065  1065 D Laban   : Notification: 收藏, 上一首, 播放, 下一首, 显示桌面歌词

07-24 16:03:24.532  1065  1065 D Laban   : Notification: 收藏, 上一首, 暂停, 下一首, 显示桌面歌词

07-24 16:03:24.575  2382  2382 D Laban   : onMediaDataLoaded: 0|com.tencent.qqmusic|2131820810|null|10108

07-24 16:03:24.575  2382  2382 D Laban   : onMediaDataLoaded: com.tencent.qqmusic - false

07-24 16:03:24.576  2382  2382 D Laban   : MediaAction: 收藏, 上一首, 暂停, 下一首, 显示桌面歌词

07-24 16:03:24.780  2382  2382 D Laban   : onMediaDataLoaded: 0|com.tencent.qqmusic|2131820810|null|10108

07-24 16:03:24.781  2382  2382 D Laban   : onMediaDataLoaded: com.tencent.qqmusic - false

2025-07-04 1/2



07-24 16:03:24.781  2382  2382 D Laban   : MediaAction: 收藏, 上一首, 播放, 下一首, 显示桌面歌词

07-24 16:03:24.803  2382  2382 D Laban   : onMediaDataLoaded: 0|com.tencent.qqmusic|2131820810|null|10108

07-24 16:03:24.804  2382  2382 D Laban   : onMediaDataLoaded: com.tencent.qqmusic - false

07-24 16:03:24.804  2382  2382 D Laban   : MediaAction: 收藏, 上一首, 暂停, 下一首, 显示桌面歌词

■ Next action

QQ 音乐自身问题，系统侧无法处理。

#4 - 2023-07-24 17:31 - CD FW-廖涛

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to CD TEST-方永红

- Resolution changed from -- to WONTFIX

- Root cause set to 第三方应用问题

#5 - 2023-07-24 17:31 - CD FW-廖涛

- Resolution changed from WONTFIX to --

#6 - 2023-07-24 18:15 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

7.24

确认为第三方应用问题

#7 - 2023-07-24 18:15 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#8 - 2023-07-24 18:15 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
